﻿using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Mvc_BeginForm.Models;

namespace Mvc_BeginForm.Controllers
{
    public class HomeController : Controller
    {
        private NorthwindEntities ctx = new NorthwindEntities();

        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Localizar(string criterio)
        {
            IList<Product> produtos = new List<Product>();
            
            if(!string.IsNullOrWhiteSpace(criterio))
            {
                produtos = (from p in ctx.Products
                            where p.ProductName.Contains(criterio)
                            select p).AsParallel().ToList();
                if (ctx !=null)
                {
                    ctx.Dispose();
                }
                if (produtos == null)
                {
                    return View("NotFound");
                }
            }
            return PartialView("Produtos", produtos);
        }
    }
}